Bug 104936 - FILESAVE: RTF: Table's content is hidden behind a white frame after RT
Summary: FILESAVE: RTF: Table's content is hidden behind a white frame after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0 all versions
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.0.0 target:5.4.2
Keywords: bibisected, bisected, filter:rtf, regression
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2016-12-26 23:04 UTC by Xisco Faulí
Modified: 2017-09-07 13:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example 15_screenprints in Word and Writer (62.70 KB, image/png)
2016-12-27 16:07 UTC, Cor Nouws
Details
screenshot after RT (10.52 KB, image/png)
2016-12-27 16:20 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-12-26 23:04:54 UTC
Steps:
1. Open attachment 66313 [details] from bug 47495
2. Save it as .RTF
3. Open the new .RTF file

Observed behaviour: Table's content is hidden behind a white frame

Reproduced in:

Version: 5.4.0.0.alpha0+
Build ID: 7a1add76d542e9929c1feab9e06949990e236616
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2016-12-26 23:06:33 UTC
Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.co.uk>	2015-02-03 11:29:21 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2015-02-03 18:36:21 (GMT)
commit	38f2b8b3b16aab19a2564ec699d253d3dccecc3c (patch)
tree	a84fd69df94e7defb6958e12c96375b34f69d7b9
parent	60a64d1807b075fb630774adf950612d71734171 (diff)

tdf#88811 SwXText::convertToTextFrame: handle shapes anchored to us
Change-Id: Iedf8eacd37b8ed8e307a10e8ade32f53c7417c4a
Reviewed-on: https://gerrit.libreoffice.org/14306
Reviewed-by: Miklos Vajna <vmiklos@collabora.co.uk>
Tested-by: Miklos Vajna <vmiklos@collabora.co.uk>


Adding Cc: to Miklos Vajna
Comment 2 Cor Nouws 2016-12-27 16:07:08 UTC
Hi Xisco,

Is there a screen print of what is invisible?

In Version: 5.4.0.0.alpha0+
Build ID: 702c8c59a5d5dfe839a44da511971470354e2a41
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-12-27_01:47:01
Locale: nl-NL (nl_NL.UTF-8); Calc: group

the only thing I see is that "frame1" has 0.14 cm hight and is positioned top left - but that's the same in Word)
Comment 3 Cor Nouws 2016-12-27 16:07:52 UTC
Created attachment 129962 [details]
Example 15_screenprints  in Word and Writer

those look pretty similar
Comment 4 Xisco Faulí 2016-12-27 16:20:21 UTC
Created attachment 129963 [details]
screenshot after RT

Hi Cor,
this is how I see it after a Roundtrip.
Comment 5 Cor Nouws 2016-12-28 10:01:07 UTC
Ah, indeed. Missed the 'RT' part..
Comment 6 Miklos Vajna 2017-09-01 11:57:02 UTC
I'll look at this.
Comment 7 Commit Notification 2017-09-05 12:31:25 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4cde2a01be75552a0b7d37f65cc4134cb48fea26

tdf#104936 RTF export: implement ZOrder of TextFrames / shapes

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2017-09-06 20:46:39 UTC
Verified in

Version: 6.0.0.0.alpha0+
Build ID: 383aab7ed63bf30931c1cf89138707d2228b5dce
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 9 Commit Notification 2017-09-07 13:31:58 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ece79b8f7e52f0658f63caad63134fc8a3503c34&h=libreoffice-5-4

tdf#104936 RTF export: implement ZOrder of TextFrames / shapes

It will be available in 5.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.